FLAIM: FLM_MEM_INFO Struct Reference

- Main Page
- Modules
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FLM_MEM_INFO Struct Reference

Structure returned from FlmGetMemoryInfo(). More...

`#include <flaim.h>`

List of all members.

## Public Attributes
FLMBOOL | bDynamicCacheAdjust
| Flag indicating if FLAIM is using a dynamic cache limit or a hard cache limit. TRUE if dynamic.
FLMUINT | uiCacheAdjustPercent
| If using a dynamic cache limit, this will tell the percent of available memory to use for the limit.
FLMUINT | uiCacheAdjustMin
| If using a dynamic cache limit, this will tell the minimum limit (in bytes) that can be set.
FLMUINT | uiCacheAdjustMax
| If using a dynamic cache limit, this will tell the maximum limit (in bytes) that can be set.
FLMUINT | uiCacheAdjustMinToLeave
| If using a dynamic cache limit, this tells the minimum amount of memory that must be left after setting a limit. NOTE: This is only used if FLM_MEM_INFO::uiCacheAdjustMax is zero.
FLMUINT | uiDirtyCount
| Number of blocks in block cache that are currently dirty.
FLMUINT | uiDirtyBytes
| Total number of bytes in block cache that are currently dirty.
FLMUINT | uiNewCount
| Number of blocks in block cache that are new blocks - blocks that were created new at the end of the database.
FLMUINT | uiNewBytes
| Total number of bytes for the new blocks.
FLMUINT | uiLogCount
| Total number of blocks in the block cache that need to be logged to the rollback log.
FLMUINT | uiLogBytes
| Total number of bytes in the log blocks.
FLMUINT | uiFreeCount
| Total number of blocks in the block cache that are no longer associated with a particular database. They can be reused.
FLMUINT | uiFreeBytes
| Total number of bytes in the free blocks.
FLMUINT | uiReplaceableCount
| Total number of blocks that can be replaced without having to write them to disk.
FLMUINT | uiReplaceableBytes
| Total number of bytes in the replaceable blocks.
FLM_CACHE_USAGE | RecordCache
| Record cache usage statistics.
FLM_CACHE_USAGE | BlockCache
| Block cache usage statistics.

## Detailed Description

Structure returned from FlmGetMemoryInfo().